# Class ToolButtonPrint

Base element of the application tools icon.

Example:

       import {html, css} from 'lit';
       import {customElement} from 'lit/decorators.js';

       // @ts-ignore
       @customElement('my-button')
       export class MyToolButtonElement extends (window as any).gmfapi.elements.ToolButtonElement {
         constructor() {
           super(panelName);
         }

         render(): TemplateResult {
           return html`
             <button
               @click=${() => this.click_()}
               class="btn btn-default ${this.active_ ? 'active' : ''}"
               data-toggle="tooltip"
               data-placement="left"
               data-original-title="${i18next.t('Title')}"
             >
               <span class="fa fa-my-icon"></span>
             </button>
           `;
         }
       }

#### Hierarchy (view full)

- default
  - ToolButtonPrint

- Defined in src/canvas/ToolButtonsImplElements.ts:31

#####
Index

### Constructors

constructor

### Properties

bootstrapStyle
bootstrapVarStyle
commonStyle
fontawesomeStyle
resetStyle
styles

### Methods

connectedCallback
disconnectedCallback
firstUpdated
mozRequestFullScreen
mozRequestFullScreenWithKeys
msRequestFullscreen
render
webkitRequestFullscreen

## Constructors

### constructor

- new ToolButtonPrint(): ToolButtonPrint

- #### Returns ToolButtonPrint

  Overrides default.constructor

  - Defined in src/canvas/ToolButtonsImplElements.ts:32

## Properties

### `Static` bootstrapStyle

bootstrapStyle: CSSResult = ...

Inherited from default.bootstrapStyle

- Defined in srcapi/elements/BaseElement.ts:73

### `Static` bootstrapVarStyle

bootstrapVarStyle: CSSResult = ...

Inherited from default.bootstrapVarStyle

- Defined in srcapi/elements/BaseElement.ts:82

### `Static` commonStyle

commonStyle: CSSResult = ...

Inherited from default.commonStyle

- Defined in srcapi/elements/BaseElement.ts:112

### `Static` fontawesomeStyle

fontawesomeStyle: CSSResult = ...

Inherited from default.fontawesomeStyle

- Defined in srcapi/elements/BaseElement.ts:76

### `Static` resetStyle

resetStyle: CSSResult = ...

Inherited from default.resetStyle

- Defined in srcapi/elements/BaseElement.ts:70

### `Static` styles

styles: CSSResult[] = ...

Inherited from default.styles

- Defined in srcapi/elements/ToolButtonElement.ts:66

## Methods

### connectedCallback

- connectedCallback(): void

- #### Returns void

  Inherited from default.connectedCallback

  - Defined in srcapi/elements/ToolButtonElement.ts:121

### disconnectedCallback

- disconnectedCallback(): void

- #### Returns void

  Inherited from default.disconnectedCallback

  - Defined in srcapi/elements/BaseElement.ts:166

### firstUpdated

- firstUpdated(): void

- #### Returns void

  Inherited from default.firstUpdated

  - Defined in srcapi/elements/ToolButtonElement.ts:153

### mozRequestFullScreen

- mozRequestFullScreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreen

  - Defined in types/dom.d.ts:25

### mozRequestFullScreenWithKeys

- mozRequestFullScreenWithKeys(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.mozRequestFullScreenWithKeys

  - Defined in types/dom.d.ts:26

### msRequestFullscreen

- msRequestFullscreen(): Promise<void>

- #### Returns Promise<void>

  Inherited from default.msRequestFullscreen

  - Defined in types/dom.d.ts:27

### render

- render(): TemplateResult<ResultType>

- #### Returns TemplateResult<ResultType>

  Overrides default.render

  - Defined in src/canvas/ToolButtonsImplElements.ts:36

### webkitRequestFullscreen

- webkitRequestFullscreen(allowKeyboardInput?): Promise<void>

- #### Parameters

  - `Optional` allowKeyboardInput: number

  #### Returns Promise<void>

  Inherited from default.webkitRequestFullscreen

  - Defined in types/dom.d.ts:28

Generated using TypeDoc